
QGIS Application - Bug report #20134

crash when trying to set exluded layer in QGIS Server WMS capabilities

2018-10-17 03:34 PM - Sebastian Brocks

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Unknown

Affected QGIS version:3.2.3 Regression?: Yes

Operating System: windows 7 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 27955

Description

User Feedback

When I try to exlude a layer from the WMS capabilities, QGIS crashes. The list that appears in a popup titles "Select Restricted Layers

and Groups" when I click on the blue plus icon next to the exclude layers box is empty. When I click inside it, QGIS crashes.

Report Details

Crash ID: 69dbd1ba4f36666784e3aa757c8f81441d261952

Stack Trace

QgsLayerTreeModel::flags :

QgsLayerTreeView::mouseReleaseEvent :

QWidget::event :

QAbstractItemView::setHorizontalScrollMode :

RtlInitUnicodeString :

QFrame::event :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:0de984d7f9

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Associated revisions

Revision 6b917e09 - 2018-10-23 08:19 PM - Alessandro Pasotti 

Fix QgsProjectLayerGroupDialog with qgz project

Maybe also fix #20134 - crash when trying to set exluded layer in QGIS Server WMS capabilities

I could not reproduce the crash but

QgsProjectLayerGroupDialog was broken

and it was probably the root of the

crash.
History

#1 - 2018-10-17 05:17 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Subject changed from crash when trying to set exluded layer in QGIS Server  WMS capabilities to crash when trying to set exluded layer in QGIS 

Server WMS capabilities

- Category changed from QGIS Server to Unknown

- Priority changed from Normal to High

#2 - 2018-10-22 06:51 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#3 - 2018-10-23 08:23 PM - Alessandro Pasotti

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/8291

I could not reproduce the crash but I've found a serious bug in the dialog (fixed in the PR), so I'm not 100% sure that my patch fixes this issue, please test a

nightly build ASAP after my PR is merged.

#4 - 2018-10-24 08:15 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|6b917e09e14df14268f21ee51f767f73b6b241fc.
